Package org.drinkless.tdlib

# Class TdApi.SearchGiftsForResale

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.GiftsForResale>
org.drinkless.tdlib.TdApi.SearchGiftsForResale

Enclosing class:
  `TdApi`

public static class TdApi.SearchGiftsForResale extends TdApi.Function<TdApi.GiftsForResale>
Returns upgraded gifts that can be bought from other owners using sendResoldGift.

Returns `GiftsForResale`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.UpgradedGiftAttributeId[]`
  `attributes`
  Attributes used to filter received gifts.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forCrafting`
  Pass true to get only gifts suitable for crafting.
  `boolean`
  `forStars`
  Pass true to get only gifts that can be bought using Telegram Stars.
  `long`
  `giftId`
  Identifier of the regular gift that was upgraded to a unique gift.
  `int`
  `limit`
  The maximum number of gifts to return.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request with the same order and attributes; use empty string to get the first chunk of results.
  `TdApi.GiftForResaleOrder`
  `order`
  Order in which the results will be sorted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchGiftsForResale()`
  Default constructor for a function, which returns upgraded gifts that can be bought from other owners using sendResoldGift.
  `SearchGiftsForResale(long giftId, TdApi.GiftForResaleOrder order, boolean forCrafting, boolean forStars, TdApi.UpgradedGiftAttributeId[] attributes, String offset, int limit)`
  Creates a function, which returns upgraded gifts that can be bought from other owners using sendResoldGift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### giftId

    public long giftId
    Identifier of the regular gift that was upgraded to a unique gift.

  - ### order

    public TdApi.GiftForResaleOrder order
    Order in which the results will be sorted.

  - ### forCrafting

    public boolean forCrafting
    Pass true to get only gifts suitable for crafting.

  - ### forStars

    public boolean forStars
    Pass true to get only gifts that can be bought using Telegram Stars.

  - ### attributes

    public TdApi.UpgradedGiftAttributeId[] attributes
    Attributes used to filter received gifts. If multiple attributes of the same type are specified, then all of them are allowed. If none attributes of specific type are specified, then all values for this attribute type are allowed.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request with the same order and attributes; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of gifts to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchGiftsForResale

    public SearchGiftsForResale()
    Default constructor for a function, which returns upgraded gifts that can be bought from other owners using sendResoldGift.

    Returns `GiftsForResale`

  - ### SearchGiftsForResale

    public SearchGiftsForResale(long giftId, TdApi.GiftForResaleOrder order, boolean forCrafting, boolean forStars, TdApi.UpgradedGiftAttributeId[] attributes, String offset, int limit)
    Creates a function, which returns upgraded gifts that can be bought from other owners using sendResoldGift.

    Returns `GiftsForResale`

    Parameters:
      `giftId` - Identifier of the regular gift that was upgraded to a unique gift.
      `order` - Order in which the results will be sorted.
      `forCrafting` - Pass true to get only gifts suitable for crafting.
      `forStars` - Pass true to get only gifts that can be bought using Telegram Stars.
      `attributes` - Attributes used to filter received gifts. If multiple attributes of the same type are specified, then all of them are allowed. If none attributes of specific type are specified, then all values for this attribute type are allowed.
      `offset` - Offset of the first entry to return as received from the previous request with the same order and attributes; use empty string to get the first chunk of results.
      `limit` - The maximum number of gifts to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.GiftsForResale>`
    Returns:
      this.CONSTRUCTOR